### Function: SpawnMove(spawn, player, max_distance, type)

**Description:**
Allows a player to move a Spawn/Object, also restricting the max_distance of movement.  Type represents either "floor" (default), "wall" or "ceiling"

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `player` (Spawn) - Spawn object representing `player`.
- `max_distance` (int32) - Distance `max_distance`.
- `type` (string) - String value `type`.

**Returns:** None.

**Example:**

Example Required
